package com.xxfc.platform.activity.entity;

import cn.hutool.json.JSONUtil;
import com.xxfc.platform.activity.vo.ActivityInfoRuleVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import javax.persistence.*;
import java.io.Serializable;


/**
 * 通用活动规则表
 * 
 * @author zjw
 * @email 18178966185@163.com
 * @date 2019-07-16 14:04:22
 */
@Data
@Table(name = "activity_info")
public class ActivityInfo implements Serializable {
	private static final long serialVersionUID = 1L;
	


    @Id
	@GeneratedValue(generator = "JDBC")
	@ApiModelProperty("主键id")
    private Integer id;


	@Column(name = "type")
	@ApiModelProperty(value = "活动类型：1-2680活动")
	private Integer type;
	
	    /**
     *  活动名称
     */
    @Column(name = "name")
	@ApiModelProperty(value = "活动名称")
    private String name;


	@Column(name = "img")
	@ApiModelProperty(value = "活动名称")
	private String img;


    @Column(name = "descr")
	@ApiModelProperty(value = "活动描述")
    private String descr;
	


	@Column(name = "start_time")
	@ApiModelProperty(value = "活动开始时间")
	private Long startTime;


	@Column(name = "end_time")
	@ApiModelProperty(value = "活动结束时间")
	private Long endTime;


	@Column(name = "number")
	@ApiModelProperty(value = "活动人数限制")
	private Integer number;
	

    @Column(name = "join_number")
	@ApiModelProperty(value = "参加活动人数")
    private Integer joinNumber;
	

    @Column(name = "status")
	@ApiModelProperty(value = "活动是否开启：0-未开启；1-已开启;2-已关闭")
    private Integer status;
	

    @Column(name = "value")
	@ApiModelProperty(value = "活动奖励规则,json")
    private String value;

    @Column(name = "crt_time")
	@ApiModelProperty(value = "创建时间", hidden = true )
    private Long crtTime;
	

    @Column(name = "upd_time")
	@ApiModelProperty(value = "更新时间", hidden = true )
    private Long updTime;
	

    @Column(name = "is_del")
	@ApiModelProperty(value = "是否删除：0-正常；1-删除")
    private Integer isDel;


    @Transient
	private ActivityInfoRuleVo activityInfoRuleVo;



    @Transient
	private Integer isJoin;

    @Transient
	private Integer orderId;



    public ActivityInfoRuleVo getActivityInfoRuleVo(){
		ActivityInfoRuleVo activityInfoRuleVo = null;
    	if (StringUtils.isNotBlank(value)){
			activityInfoRuleVo = JSONUtil.toBean(value,ActivityInfoRuleVo.class);
		}
    	return  activityInfoRuleVo;
	}
	

}
