package com.xxfc.platform.activity.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;


/**
 * 用户活动表
 * 
 * @author zjw
 * @email 18178966185@163.com
 * @date 2019-07-16 14:04:22
 */
@Data
@Table(name = "activity_info_user")
public class ActivityInfoUser implements Serializable {
	private static final long serialVersionUID = 1L;
	

    @Id
	@GeneratedValue(generator = "JDBC")
	@ApiModelProperty("主键id")
    private Integer id;



    @Column(name = "user_id")
	@ApiModelProperty(value = "用户id")
    private Integer userId;
	

    @Column(name = "activity_id")
	@ApiModelProperty(value = "活动id")
    private Integer activityId;
	

    @Column(name = "status")
	@ApiModelProperty(value = "状态：0-参加中；1-已参加；2-已取消")
    private Integer status;


	@Column(name = "order_id")
	@ApiModelProperty(value = "订单id")
	private Integer orderId;



	@Column(name = "order_no")
	@ApiModelProperty(value = "订单号")
	private String orderNo;
	

    @Column(name = "crt_time")
	@ApiModelProperty(value = "参与时间", hidden = true )
    private Long crtTime;
	

    @Column(name = "upd_time")
	@ApiModelProperty(value = "更新时间", hidden = true )
    private Long updTime;


	@Column(name = "is_del")
	@ApiModelProperty(value = "是否删除：0-正常；1-删除")
	private Integer isDel;


	@Transient
	private Integer type;

}
