package com.xxfc.platform.activity.biz;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.wxiaoqi.security.common.biz.BaseBiz;
import com.github.wxiaoqi.security.common.exception.BaseException;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.util.process.ResultCode;
import com.xxfc.platform.activity.entity.ActivityInfo;
import com.xxfc.platform.activity.entity.ActivityRule;
import com.xxfc.platform.activity.entity.Coupon;
import com.xxfc.platform.activity.mapper.ActivityInfoMapper;
import com.xxfc.platform.activity.mapper.ActivityRuleMapper;
import com.xxfc.platform.activity.vo.ActivityRuleVo;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.beanutils.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import tk.mybatis.mapper.entity.Example;

import java.util.ArrayList;
import java.util.List;

/**
 * 通用活动规则表
 *
 * @author zjw
 * @email 18178966185@163.com
 * @date 2019-07-16 14:04:22
 */
@Slf4j
@Service
public class ActivityInfoBiz extends BaseBiz<ActivityInfoMapper, ActivityInfo> {





     //获取最新的生效的活动
    public  ActivityInfo getActity(Integer type){
        Example example=new Example(ActivityInfo.class);
        example.createCriteria().andEqualTo("status",1).andEqualTo("type",type).andEqualTo("isDel",0);
        example.setOrderByClause("id desc");
        List<ActivityInfo> list=mapper.selectByExample(example);
        if(list.size()>0){
          return  list.get(0);
        }
        return  null;
    }

    //获取最新活动的H5页面
    public ActivityInfo getActivityH5(Integer type){
        type = type == null ? 1 : type;
        ActivityInfo activityInfo=getActity(type);
        if (activityInfo == null)
            throw  new BaseException("无有效的活动",ResultCode.NULL_CODE);
        return  activityInfo;
    }
}